> ## Documentation Index
> Fetch the complete documentation index at: https://docs.glorycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Plan Details

> Get the details of proxy plans associated with your account.



## OpenAPI

````yaml get /go-api/v1/account/plan
openapi: 3.0.1
info:
  title: GoProxy API Documentation
  description: ''
  version: 1.0.0
servers: []
security: []
tags: []
paths:
  /go-api/v1/account/plan:
    get:
      tags: []
      summary: Get Plan Details
      description: Get the details of proxy plans associated with your account.
      parameters:
        - name: proxyType
          in: query
          description: >-
            The proxy type to query. 

            Use: 1 for Rotating Residential, 2 for Rotating Mobile, 3 for
            Rotating Datacenter.
          required: true
          schema:
            type: integer
            title: proxyType
        - name: apiKey
          in: header
          description: API key used for authentication.
          required: true
          example: ''
          schema:
            type: string
            title: apiKey
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAccountPlanResponseModel'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetAccountPlanResponseModel:
      properties:
        plan:
          items:
            $ref: '#/components/schemas/AccountPlanResponseModel'
          type: array
          title: plan
      type: object
      required:
        - plan
      title: GetAccountPlanResponseModel
    AccountPlanResponseModel:
      properties:
        status:
          type: integer
          title: status
          description: >-
            The status of the plan: 1 for normal, 2 for banned, 3 for depleted,
            4 for expired.
          example: 1
        totalTraffic:
          type: string
          title: TtotalTraffic
          description: Total traffic for the plan, in GB.
          example: '1.0'
        availableTraffic:
          type: string
          title: availableTraffic
          description: Remaining traffic available for use, in GB.
          example: '0.9'
        planName:
          type: string
          title: planName
          description: Name of the plan.
          example: 1GB
        effectTime:
          type: string
          title: effectTime
          description: >-
            Start time of the plan's expired period, in **yyyy-MM-dd HH:mm:ss**
            format (UTC+8).
          example: 2024-12-01 15:30:00 UTC+8
        expireTime:
          type: string
          title: expireTime
          description: >-
            End time of the plan's expired period, in **yyyy-MM-dd HH:mm:ss**
            format (UTC+8).
          example: 2025-01-01 15:30:00 UTC+8
        orderId:
          type: string
          title: orderId
          description: Unique identifier for the order associated with the plan.
          example: HW20241201153000000
        billingCycle:
          type: string
          title: billingCycle
          description: Billing cycle of the plan, e.g., **subscription** or **one_time**.
          example: one_time
      type: object
      required:
        - status
        - totalTraffic
        - availableTraffic
        - planName
        - effectTime
        - expireTime
        - orderId
        - billingCycle
      title: AccountPlanResponseModel

````